cloud-publish-tarball(1)

NAME
cloud-publish-tarball - publish a cloud archive

SYNOPSIS
cloud-publish-tarball [OPTIONS] TARFILE BUCKET [ARCH]

OPTIONS

-k | --kernel k
    Use previously registered kernel with id 'k' specify 'none' for no kernel

-K | --kernel-file f
    Bundle, upload, use file 'f' as kernel

-q | --quiet
    Be quiet, only output produced image ids

-r | --ramdisk r
    Use previously registered ramdisk with id 'r' specify 'none' for no ramdisk

-R | --ramdisk-file f
    Bundle, upload, use file 'f' as ramdisk

--rename-image i
    rename the image file before publishing (publish to <bucket>/i)

--rename-kernel k
    rename the kernel file before publishing (publish to <bucket>/k)

--rename-ramdisk r
    rename the ramdisk file before publishing (publish to <bucket>/r)

--save-downloaded d
    save the download image to directory 'd' (applicable only if TARBALL is an URL)

ARGUMENTS

TARFILE
    Target archive. This may be a URL.

BUCKET
    Target bucket

ARCH
    Image architecture; if is not provided, a name-based attempt is made to guess

ENVIRONMENT
Behavior of this program can be modified by environment variables as described below:

EC2PRE
    Underlying tools will be invoked using this prefix. The default is 'euca-', which results in using tools like 'euca-register' and 'euca-bundle-image'. To use the ec2-api-tools or ec2-ami-tools, set EC2PRE='ec2-'

DESCRIPTION
Register a Ubuntu Cloud image tarball per http://cloud-images.ubuntu.com

EXAMPLES
  cloud-publish-tarball lucid-cloud-i386.tar.gz my-lucid-bucket i386

AUTHOR
This manpage was written by Dustin Kirkland <kirkland@canonical.com> for Ubuntu systems (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 published by the Free Software Foundation. On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.